package cn.timer.api.bean.dzht;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-12-21
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "dzht_asso_dkrz")
@ApiModel("e签宝打款信息表")
public class DzhtAssoDkrz extends Model<DzhtAssoDkrz> {

	private static final long serialVersionUID = 5096336833752192712L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	@ApiModelProperty(value = "认证流程Id", example = "66")
	private String flowId;

	@ApiModelProperty(value = "对公账号开户行总行名称", example = "101")
	private String bank;

	@ApiModelProperty(value = "对公账号开户行所在省份名称", example = "101")
	private String province;

	@ApiModelProperty(value = "对公账号开户行所在城市名称", example = "101")
	private String city;

	@ApiModelProperty(value = "对公账号开户行支行名称全称", example = "101")
	private String subbranch;

	@ApiModelProperty(value = "银行卡号信息", example = "101")
	private String cardNo;

	@ApiModelProperty(value = "联行号（名词解释） 可通过 查询打款银行信息 获取，或第三方数据库获取", example = "101")
	private String cnapsCode;

	@ApiModelProperty(value = "对接方业务上下文id，将在异步通知及跳转时携带返回对接方", example = "101")
	private String contextId;

	@ApiModelProperty(value = "认证结束后异步通知地址,具体见\"异步通知\"章节说明", example = "101")
	private String notifyUrl;

}