package cn.timer.api.bean.dzht;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2020-03-13
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "dzht_asso_grrz")
@ApiModel("e签宝个人认证信息表")
public class DzhtAssoGrrz extends Model<DzhtAssoGrrz> {

	private static final long serialVersionUID = 5438551440725664700L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	@ApiModelProperty(value = "认证类型", example = "0手机号，1银行，2刷脸")
	private Integer type;

	@ApiModelProperty(value = "个人账号id(要实名认证的个人id)", example = "")
	private String AccountId;

	@ApiModelProperty(value = "用户员工号(8小时系统)", example = "11677")
	private Integer empNum;
	
	@ApiModelProperty(value = "用户公司(8小时系统)", example = "117")
	private Integer orgCode;

	@ApiModelProperty(value = "手机号(仅限大陆三大运营商)", example = "13888888101")
	private String mobileNo;

	@ApiModelProperty(value = "人脸认证方式", example = "TENCENT腾讯微众银行认证,ZHIMACREDIT支付宝芝麻信用认证")
	private String faceauthMode;

	@ApiModelProperty(value = "认证完成后业务重定向地址(仅人脸)", example = "")
	private String callbackUrl;

	@ApiModelProperty(value = "银行卡号，仅限大陆银联银行卡", example = "")
	private String bankCardNo;

	@ApiModelProperty(value = "是否允许重复实名", example = "默认true")
	private Boolean repetition;

	@ApiModelProperty(value = "对接方业务上下文id，将在异步通知及跳转时携带返回对接方", example = "101")
	private String contextId;

	@ApiModelProperty(value = "认证结束后异步通知地址,具体见\"异步通知\"章节说明", example = "101")
	private String notifyUrl;

	@ApiModelProperty(value = "实名流程Id")
	private String flowId;

}