package cn.timer.api.bean.dzht;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-12-20
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "dzht_asso_grzc")
@ApiModel("e签宝个人注册表")
public class DzhtAssoGrzc extends Model<DzhtAssoGrzc> {

	private static final long serialVersionUID = 2528742825397835708L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "用户唯一标识，可传入第三方平台的个人用户id、证件号、手机号、邮箱等，如果设置则作为账号唯一性字段，相同信息不可重复创建。（个人用户与机构的唯一标识不可重复）", example = "101")
	private String thirdPartyUserId;

	@ApiModelProperty(value = "姓名", example = "101")
	private String name;

	@ApiModelProperty(value = "证件类型,详见个人证件类型说明 ，默认CRED_PSN_CH_IDCARD", example = "101")
	private String idType;

	@ApiModelProperty(value = "证件号，默认为空，发起签署前需确保补齐证件号", example = "101")
	private String idNumber;

	@ApiModelProperty(value = "手机号码，默认空，手机号为空时无法使用短信意愿认证", example = "101")
	private String mobile;

	@ApiModelProperty(value = "邮箱地址，默认空", example = "101")
	private String email;

	@ApiModelProperty(value = "个人账号id", example = "101")
	private String accountId;
	
	@ApiModelProperty(value = "员工号", example = "101")
	private Integer empNum;
	
	@ApiModelProperty(value = "组织机构id", example = "101")
	private Integer orgCode;

}