package cn.timer.api.bean.dzht;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-12-30
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "dzht_asso_htcsr")
@ApiModel("e签宝合同抄送人")
public class DzhtAssoHtcsr extends Model<DzhtAssoHtcsr> {

	private static final long serialVersionUID = -6138189371585023602L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	@ApiModelProperty(value = "抄送人id", example = "")
	private String signerAccountId;

	@ApiModelProperty(value = "员工id", example = "")
	private Integer empNum;

	@ApiModelProperty(value = "模板id", example = "返回的参数")
	private String templateId;
	
	@ApiModelProperty(value = "文件主题", example = "签署文件的主题")
	private String businessScene;
}