package cn.timer.api.bean.dzht;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-12-24
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "dzht_asso_htmb")
@ApiModel("e签宝合同模板")
public class DzhtAssoHtmb extends Model<DzhtAssoHtmb> {

	private static final long serialVersionUID = 1331463911635625730L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	@ApiModelProperty(value = "模板文件md5值", example = "66")
	private String contentMd5;

	@ApiModelProperty(value = "文件路径", example = "66")
	private String filePath;

	@ApiModelProperty(value = "目标文件的MIME类型", example = "application/pdf")
	private String contentType;

	@ApiModelProperty(value = "文件名称", example = "66")
	private String fileName;

	@ApiModelProperty(value = "模板名称", example = "合同模板")
	private String mbmc;

	@ApiModelProperty(value = "oss地址", example = "")
	private String ossUrl;

	@Transient
	@TableField(exist = false) // 是否转换
	private Boolean convert2Pdf;

	@ApiModelProperty(value = "模板id", example = "1")
	private String templateId;

	@ApiModelProperty(value = "文件直传地址", example = "文件直传地址，需要用此上传地址使用put方式上传文件，只有文件上传后模板才可用")
	private String uploadUrl;

	@ApiModelProperty(value = "empNum", example = "11677")
	private Integer empNum;

	@ApiModelProperty(value = "org_code", example = "117")
	private Integer orgCode;

	@ApiModelProperty(value = "创建时间", example = "")
	private Date createdTime;

	@ApiModelProperty(value = "是否删除  0-否  1-是", example = "0")
	private Integer isDel;
}