package cn.timer.api.bean.dzht;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-12-27
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "dzht_asso_htwj")
@ApiModel("e签宝合同文件")
public class DzhtAssoHtwj extends Model<DzhtAssoHtwj> {

	private static final long serialVersionUID = 1331463911635625730L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	@ApiModelProperty(value = "文件名", example = "")
	private String name;

	@ApiModelProperty(value = "模板id", example = "")
	private String templateId;

	@ApiModelProperty(value = "文件id", example = "")
	private String fileId;

	@Transient
	@TableField(exist = false)
	@ApiModelProperty(value = "键值对参数", example = "")
	private Object simpleFormFields;

}