package cn.timer.api.bean.dzht;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-12-21
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "dzht_asso_qyrz")
@ApiModel("e签宝企业认证表")
public class DzhtAssoQyrz extends Model<DzhtAssoQyrz> {

	private static final long serialVersionUID = -8454074160107961801L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	@ApiModelProperty(value = "组织机构id", example = "101")
	private Integer orgCode;

	@ApiModelProperty(value = "公司账号id(要实名认证的组织id)", example = "")
	private String AccountId;

	@ApiModelProperty(value = "代理人账号id(已完成实名认证的个人id)", example = "")
	private String agentAccountId;

	@ApiModelProperty(value = "是否允许重复实名", example = "默认true")
	private Boolean repetition;

	@ApiModelProperty(value = "对接方业务上下文id，将在异步通知及跳转时携带返回对接方", example = "101")
	private String contextId;

	@ApiModelProperty(value = "认证结束后异步通知地址,具体见\"异步通知\"章节说明", example = "101")
	private String notifyUrl;

	@ApiModelProperty(value = "实名流程Id")
	private String flowId;

}