package cn.timer.api.bean.dzht;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-12-25
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "dzht_asso_qyyz")
@ApiModel("e签宝企业印章")
public class DzhtAssoQyyz extends Model<DzhtAssoQyyz> {

	private static final long serialVersionUID = -8073799927152662232L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	@ApiModelProperty(value = "企业Id", example = "66")
	private String orgId;
	
	@ApiModelProperty(value = "第三方印章别名", example = "101")
	private String alias;

	@ApiModelProperty(value = "颜色", example = "RED-红色，BLUE-蓝色，BLACK-黑色")
	private String color;//必填

	@ApiModelProperty(value = "高度", example = "默认159px")
	private Integer height;

	@ApiModelProperty(value = "宽度", example = "默认159px")
	private Integer width;

	@ApiModelProperty(value = "横向文", example = "101")
	private String htext;

	@ApiModelProperty(value = "下弦文", example = "101")
	private String qtext;
	
	@ApiModelProperty(value = "企业唯一标识", example = "101")
	private String thirdPartyUserId;

	@ApiModelProperty(value = "模板类型", example = "TEMPLATE_ROUND-圆章  TEMPLATE_OVAL-椭圆章")
	private String type;//必填

	@ApiModelProperty(value = "中心图案类型", example = "STAR-圆形有五角星  NONE-圆形无五角星")
	private String central;//必填

	// 返回参数
	@ApiModelProperty(value = "印章fileKey", example = "101")
	private String fileKey;

	@ApiModelProperty(value = "印章id", example = "101")
	private String sealId;

//	@ApiModelProperty(value = "下载地址，保存一小时", example = "101")
//	private String url;

	@ApiModelProperty(value = "是否默认", example = "0否 1是")
	private Integer isMr;
	
	@ApiModelProperty(value = "创建时间", example = "101")
	private Date createTime;

}