package cn.timer.api.bean.dzht;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-12-21
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "dzht_asso_qyzc")
@ApiModel("e签宝企业注册表")
public class DzhtAssoQyzc extends Model<DzhtAssoQyzc> {

	private static final long serialVersionUID = 6896535273257356696L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号", example = "1")
	private Integer id;

	@ApiModelProperty(value = "机构唯一标识，可传入第三方平台机构id、企业证件号、企业邮箱等如果设置则作为账号唯一性字段，相同id不可重复创建。（个人用户与机构的唯一标识不可重复）", example = "101")
	private String thirdPartyUserId;

	@ApiModelProperty(value = "创建人个人账号id（调用个人账号创建接口返回的accountId）", example = "1")
	private String creator;

	@ApiModelProperty(value = "机构名称", example = "101")
	private String name;

	@ApiModelProperty(value = "证件类型，详见机构证件类型说明 ，默认CRED_ORG_USCC", example = "101")
	private String idType;

	@ApiModelProperty(value = "证件号，默认为空，发起签署前需确保补齐证件号", example = "101")
	private String idNumber;

	@ApiModelProperty(value = "企业法人证件号", example = "101")
	private String orgLegalIdNumber;

	@ApiModelProperty(value = "企业法人名称", example = "101")
	private String orgLegalName;
	
	@ApiModelProperty(value = "组织机构id", example = "101")
	private Integer orgCode;
	
	@ApiModelProperty(value = "机构账号id", example = "101")
	private String orgId;

}