package cn.timer.api.bean.dzht;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-12-30
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "dzht_asso_sdgzq")
@ApiModel("e签宝添加手动盖章区")
public class DzhtAssoSdgzq extends Model<DzhtAssoSdgzq> {

	private static final long serialVersionUID = 7548358737989822037L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	@ApiModelProperty(value = "流程id", example = "")
	private String flowId;
	
	@ApiModelProperty(value = "文件主题", example = "")
	private String businessScene;

	@ApiModelProperty(value = "文件file id", example = "")
	private String fileId;

	@ApiModelProperty(value = "签署操作人个人账号", example = "即操作本次签署的个人，如需e签宝通知用户签署，则系统向该账号下绑定的手机、邮箱发送签署链接")
	private String signerAccountId;

	@ApiModelProperty(value = "签署人员工号", example = "")
	private Integer signerEmpNum;

	@ApiModelProperty(value = "签约主体账号标识", example = "即本次签署对应任务的归属方，如传入机构id，则签署完成后，本任务可在企业账号下进行管理，默认是签署操作人个人")
	private String authorizedAccountId;

	@ApiModelProperty(value = "机构签约类别", example = "机构签约类别，当签约主体为机构时必传：2-机构盖章，3-法定代表人盖章 ")
	private Integer actorIndentityType;

	@ApiModelProperty(value = "是否指定位置", example = "是否指定位置，如指定位置则posBean不可为空；一旦设置为TRUE，表示用户签署时不允许更新位置")
	private Boolean assignedPosbean;

	@ApiModelProperty(value = "签署区顺序", example = "默认1,且不小于1，顺序越小越先处理")
	private Integer signOrder;

	@ApiModelProperty(value = "页码信息", example = "当签署区signType为2时, 页码可以-分割, 其他情况只能是数字")
	private String posPage;

	@ApiModelProperty(value = "x坐标，默认空", example = "")
	private Float posX;

	@ApiModelProperty(value = "y坐标", example = "")
	private Float posY;

	@ApiModelProperty(value = "签署区宽，默认印章宽度", example = "")
	private Float width;

	@ApiModelProperty(value = "是否添加签署时间戳", example = " 默认不添加，格式 2019-03-11 10：12：12")
	private Boolean addSignTime;

	@ApiModelProperty(value = "签署方式", example = "个人签署时支持多种签署方式，0-手绘签名  ，1-个人签章盖章，多种类型时逗号分割，为空不限制")
	private String sealType;

	@ApiModelProperty(value = "签署类型", example = "签署类型，0-不限，1-单页签署，2-骑缝签署，默认1")
	private Integer signType;

	@ApiModelProperty(value = "第三方业务流水号id", example = "保证相同签署人、相同签约主体、相同签署顺序的任务，对应的第三方业务流水id唯一，默认空")
	private String thirdOrderNo;

	// 返回的参数
	@ApiModelProperty(value = "签署区id", example = "")
	private String signfieldId;

	@ApiModelProperty(value = "操作人", example = "")
	private Integer creater;

	@ApiModelProperty(value = "创建时间", example = "")
	private Date createdTime;

	@ApiModelProperty(value = "机构id", example = "")
	private Integer orgCode;

}