package cn.timer.api.bean.dzht;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-12-30
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "dzht_asso_tpyz")
@ApiModel("e签宝创建个人/机构图片印章")
public class DzhtAssoTpyz extends Model<DzhtAssoTpyz> {

	private static final long serialVersionUID = 6123257052008288652L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号")
	private Integer id;

	// 必填
	@ApiModelProperty(required = true, value = "个人账户id", example = "")
	private String accountId;
	@ApiModelProperty(value = "数据类型", example = "")
	private String type;
	@ApiModelProperty(value = "数据", example = "")
	private String data;
	@ApiModelProperty(required = true, value = "文件路径", example = "")
	private String filePath;
	@ApiModelProperty(required = true, value = "oss请求路径", example = "")
	private String ossUrl;
	
	// 选填
	@ApiModelProperty(value = "印章别名", example = "")
	private String alias;
	@ApiModelProperty(value = "高度", example = "")
	private Integer height;
	@ApiModelProperty(value = "宽度", example = "")
	private Integer width;
	@ApiModelProperty(value = "透明化处理", example = "")
	private Boolean transparentFlag;

	// 返回参数
	@ApiModelProperty(value = "印章fileKey", example = "")
	private String fileKey;
	@ApiModelProperty(value = "印章id", example = "")
	private String sealId;
	@ApiModelProperty(value = "创建时间", example = "")
	private Date createdTime;
	@ApiModelProperty(value = "员工号", example = "")
	private Integer empNum;
	@ApiModelProperty(value = "机构id", example = "")
	private Integer orgCode;

}