package cn.timer.api.bean.htzz;

import java.util.Date;
import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-12-04
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "htzz_admin_zzda")
@ApiModel("合同证照档案表")
public class HtzzAdminZzda extends Model<HtzzAdminZzda> {

	private static final long serialVersionUID = 7917787062761005000L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "证件名称 ", example = "证件名称")
	private String zjmc;
	
	@ApiModelProperty(value = "证件编号 ", example = "证件编号")
	private String zjbh;

	@ApiModelProperty(value = "持证人 ", example = "持证人")
	private String czry;

	@ApiModelProperty(value = "持证人电话 ", example = "持证人电话")
	private String czrdh;

	@ApiModelProperty(value = "发证机构 ", example = "发证机构")
	private String fzjg;

	@ApiModelProperty(value = "发证日期 ", example = "发证日期")
	private Date fzrq;

	@ApiModelProperty(value = "有效期开始日 ", example = "有效期开始日")
	private Date yxksr;

	@ApiModelProperty(value = "有效期到期日 ", example = "有效期到期日")
	private Date yxdqr;

//	@ApiModelProperty(value = "提醒组id ", example = "提醒组")
//	private Integer txzid;

	@ApiModelProperty(value = "提醒开关", example = "0 关 1开")
	private Integer txkgType;

	@ApiModelProperty(value = "证件附件 ", example = "证件附件")
	private String zjfj;

//	@ApiModelProperty(value = "通知人 ", example = "通知人")
//	private String tzr;

	@ApiModelProperty(value = "录入人--用户id", example = "101")
	private Integer lrrid;

	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "录入时间 ", example = "录入时间")
	private Date lrsjTime;

	@ApiModelProperty(value = "公司id", example = "101")
	private Integer orgCode;
	
	@ApiModelProperty(value = "是否删除", example = "0-否  1-是")
	private Integer isDelete;
	
	@Transient
	@TableField(exist = false)
	private Integer[] ids;
	
	

}