package cn.timer.api.bean.htzz;

import java.util.Date;
import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-12-04
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "htzz_asso_zztx")
@ApiModel("证照提醒表")
public class HtzzAssoZztx extends Model<HtzzAssoZztx> {

	private static final long serialVersionUID = -7868665259110743401L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "名称 ", example = "名称")
	private String name;

//	@ApiModelProperty(value = "提醒方式 ", example = "提醒方式")
//	private String txfs;

//	@ApiModelProperty(value = "优先级 ", example = "优先级")
//	private String yxj;

	@ApiModelProperty(value = "重复方式 ", example = "0-不重复 1-每天 2-每3天 3-每周")
	private Integer cffs;

	@ApiModelProperty(value = "提醒时间周期 ", example = "0-到期提醒 1-提前一天  2-提前三天  3-提前一周 4-提前一个月")
	private Integer txsj;
	
	@ApiModelProperty(value = "短信提醒", example = "0-关闭  1-开启")
	private Integer isMessage;
	
	@ApiModelProperty(value = "邮箱提醒 ", example = "0-关闭  1-开启")
	private Integer isEmail;

	@ApiModelProperty(value = "企业id ", example = "企业id")
	private Integer orgCode;

	@ApiModelProperty(value = "录入人员 ", example = "录入人员")
	private Integer lrrid;

	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "录入时间 ", example = "录入时间")
	private Date lrsjTime;

}