package cn.timer.api.bean.jxgl;

import java.util.Date;
import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-01-08
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "jxgl_admin_kpzsz")
@ApiModel("考评组设置")
public class JxglAdminKpzsz extends Model<JxglAdminKpzsz> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3542750698820133341L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "考评组名称 ", example = "考评组名称")
	private String kpzmc;

	@ApiModelProperty(value = "周期类型 0:月度；1:季度；2:半年度；3:年度；4:试用期；5:日；6:自定义；", example = "101")
	private Integer zqtype;

	@ApiModelProperty(value = "评分说明必填开关 0：关；1：开", example = "101")
	private Integer pfsmbt;

	@ApiModelProperty(value = "指标评分计算方式 1：指标评分加和计算；2：指标评分加权计算（指标评分加和计算：评分=指标1评分+指标2评分+... | 指标评分加权计算 ：评分=指标1评分*指标1权重+指标2评分*指标2权重+...）", example = "101")
	private Integer zbpfjs;

	@ApiModelProperty(value = "流程设计类型 0：按评分人设置流程；1：按指标设置流程", example = "101")
	private Integer lcsjtype;

	@ApiModelProperty(value = "目标制定人类型 1:被考核人；2：主管；3：自定；4：系统【目标制定】", example = "101")
	private Integer mbzdrtype;

	@ApiModelProperty(value = "目标制定指定人id 【目标制定】", example = "101")
	private String mbzdrid;

	@ApiModelProperty(value = "目标确认人类型 0：关：1:被考核人；2：主管；3：指定成员【目标确认】", example = "101")
	private Integer mbqrr;

	@ApiModelProperty(value = "目标确认指定人id 【目标确认】", example = "101")
	private String mbqrzdr;

	@ApiModelProperty(value = "自评配置开关 0：关；1：开", example = "101")
	private Integer zppz;

	@ApiModelProperty(value = "自评权重 ", example = "自评权重")
	private String zpweight;

	@ApiModelProperty(value = "互评配置开关 0：关；1：开", example = "101")
	private Integer hppz;

	@ApiModelProperty(value = "互评权重 ", example = "互评权重")
	private String hpweight;

	@ApiModelProperty(value = "互评匿名开关 0：关；1：开【互评】", example = "101")
	private Integer hpnmkg;

	@ApiModelProperty(value = "互评多人时的处理方式 0：各自评分（计算时取平均值）；1：任一评分（任一评分人评分即可）【互评】", example = "101")
	private Integer hpdrclfs;

	@ApiModelProperty(value = "评分人去重 0：关；1：开【评分全局配置】", example = "101")
	private Integer pfrqc;

	@ApiModelProperty(value = "评分人手动评级 0：关；1：开【评分全局配置】", example = "101")
	private Integer pfrsdpj;

	@ApiModelProperty(value = "上级评分配置开关 0：关；1：开", example = "101")
	private Integer sjpfpz;

	@ApiModelProperty(value = "上级评分权重 ", example = "上级评分权重")
	private String sjweight;

	@ApiModelProperty(value = "上级评分多人时的处理方式 0：各自评分（计算时取平均值）；1：任一评分（任一评分人评分即可）【上级评分】", example = "101")
	private Integer spdrclfs;

	@ApiModelProperty(value = "代评分 若该级处理人空缺，由其在通讯录中的上级主管代评分 ===> 0：关；1：开【上级评分】", example = "101")
	private Integer dpf;

	@ApiModelProperty(value = "允许转交 0：关；1：开【上级评分】", example = "101")
	private Integer yxzj;

	@ApiModelProperty(value = "评分规则 0：评分人需要对每个指标进行评分；1：评分人不需要对每个指标进行评分，只需评一个总的得分", example = "101")
	private Integer pfgz;
	
	@ApiModelProperty(value = "参与人数", example = "101")
	private Integer cyrs;

	@ApiModelProperty(value = "企业id 企业id", example = "101")
	private Integer qyid;

}