package cn.timer.api.bean.jxgl;

import java.util.Date;
import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author LAL 2020-01-06
*/
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name="jxgl_admin_zbk")
@ApiModel("指标库")
public class JxglAdminZbk extends Model<JxglAdminZbk> {

    /**
	 * 
	 */
	private static final long serialVersionUID = 2558055045569841060L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="id id",example="101")
    private Integer id;
    
	@ApiModelProperty(value="指标名称 ",example="指标名称")
    private String zbmc;
    
	@ApiModelProperty(value="指标类型 1：量化指标；2：行为价值指标；3：加分项；4：扣分项",example="101")
    private Integer zbtype;
    
	@ApiModelProperty(value="考核标准 ",example="考核标准")
    private String khbz;
    
	@ApiModelProperty(value="权重 ",example="权重")
    private String quanz;
    
	@ApiModelProperty(value="备注 ",example="备注")
    private String remarks;
    
	@ApiModelProperty(value="评分方式 1：直接输入分数；2：评分公式计算",example="101")
    private Integer pfsf;
    
	@ApiModelProperty(value="评分公式 ",example="评分公式")
    private String pfgs;
    
	@ApiModelProperty(value="结果值数据来源 1：被考核让人；2：指定成员",example="101")
    private Integer jgzsjly;
    
	@ApiModelProperty(value="指定成员ID 结果值数据来源为“2”时",example="101")
    private Integer zdcyid;
    
	@ApiModelProperty(value="必选标签开关 0：关；1：开",example="101")
    private Integer bxbqkg;
    
	@ApiModelProperty(value="指定评分人开关 0：关；1：开",example="101")
    private Integer zdpfrkg;
    
	@ApiModelProperty(value="设定评分人ID 指定评分人开关为“1”时",example="101")
    private Integer sdpfrid;
    
	@ApiModelProperty(value="标签 ",example="标签")
    private String label;
    
	@ApiModelProperty(value="加分标准 ",example="加分标准")
    private String jfbz;
    
	@ApiModelProperty(value="加分上限 ",example="加分上限")
    private String jfsx;
    
	@ApiModelProperty(value="扣分标准 ",example="扣分标准")
    private String kfbz;
    
	@ApiModelProperty(value="扣分上限 ",example="扣分上限")
    private String kfsx;
    
	@ApiModelProperty(value="企业id 企业id",example="101")
    private Integer qyid;
    

}