package cn.timer.api.bean.jxgl;

import java.util.Date;
import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-01-02
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "jxgl_asso_jxdj")
@ApiModel("绩效等级")
public class JxglAssoJxdj extends Model<JxglAssoJxdj> {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1705525475344521687L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "绩效等级类型 1：强制正态分布；2：分数区间对应；", example = "101")
	private Integer type;

	@ApiModelProperty(value = "等级名称 ", example = "等级名称")
	private String djmc;

	@ApiModelProperty(value = "占比区间(%) ", example = "占比区间(%)")
	private String zbqj;

	@ApiModelProperty(value = "分数区间范围开始 ", example = "2：分数区间对应")
	private String fsqjks;

	@ApiModelProperty(value = "分数区间范围结束 ", example = "2：分数区间对应")
	private String fzqjjs;

	@ApiModelProperty(value = "设置id 设置id", example = "101")
	private Integer jcszid;
	
	@ApiModelProperty(value = "企业id 企业id", example = "101")
	private Integer qyid;

}