package cn.timer.api.bean.jxgl;

import java.util.Date;
import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author LAL 2020-01-08
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "jxgl_asso_mbsz")
@ApiModel("模板设计")
public class JxglAssoMbsz extends Model<JxglAssoMbsz> {

	/**
	 * 
	 */
	private static final long serialVersionUID = 3349081275918939640L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "维度名称 ", example = "维度名称")
	private String name;

	@ApiModelProperty(value = "维度类型 1：量化指标；2：行为价值指标；3：加分项；4：扣分项", example = "101")
	private Integer type;

	@ApiModelProperty(value = "所含指标数量 -1：不限量；>-1：自定义", example = "101")
	private Integer shzbsl;

	@ApiModelProperty(value = "所含指标总权重 -1：不限量；>-1：自定义", example = "101")
	private Integer shzbzqz;

	@ApiModelProperty(value = "可在指定目标时增加指标开关 0：关；1：开", example = "101")
	private Integer kzzjzb;

	@ApiModelProperty(value = "企业id 企业id", example = "101")
	private Integer qyid;

	@ApiModelProperty(value = "考评组设置id 考评组设置id", example = "101")
	private Integer kpzsz;

}