package cn.timer.api.bean.kqjg;

import java.util.Date;
import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author lal 2019-12-24
*/
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name="kqjg_realtime_enroll_data")
@ApiModel("机器上传的实时登记数据")
public class KqjgRealtimeEnrollData extends Model<KqjgRealtimeEnrollData> {

    /**
	 * 
	 */
	private static final long serialVersionUID = -2002607279902017749L;

	@Id
    @GeneratedValue
	@ApiModelProperty(value="该记录被修改的最后时间 ",example="该记录被修改的最后时间")
    private String updateTime;
    
	@ApiModelProperty(value="机器的识别号码 ",example="机器的识别号码")
    private String deviceId;
    
	@ApiModelProperty(value="在机器登记的用户的识别码 ",example="在机器登记的用户的识别码")
    private String userId;
    
	@ApiModelProperty(value="登记数据 ",example="登记数据")
    private String userData;
    

}