package cn.timer.api.bean.qyxx;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 轮播公告消息
 * 
 * @author dsc
 *
 */

@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "cms_announcement")
@ApiModel("轮播公告消息表")
public class CmsAnnouncement extends Model<CmsAnnouncement> {

	private static final long serialVersionUID = 6050415559589996964L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号", example = "1")
	private Integer id;

	@ApiModelProperty(value = "发布人id", example = "11677")
	private Integer fbrid;

	@ApiModelProperty(value = "发布时间", example = "2019-11-11")
	private Date fbtime;

	@ApiModelProperty(value = "结束时间", example = "2019-12-12")
	private Date jstime;

	@ApiModelProperty(value = "发布标题", example = "天气")
	private String title;
	
	@ApiModelProperty(value = "发布内容", example = "今天天气真晴朗")
	private String fbnr;
	
	@ApiModelProperty(value = "是否默认", example = "0-不默认 1-默认")
	private Integer isDefault;

	@ApiModelProperty(value = "组织id", example = "117")
	private Integer orgCode;

}
