package cn.timer.api.bean.qyxx;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-12-10
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "cms_content_modular")
@ApiModel("模块信息表")
public class CmsContentModular extends Model<CmsContentModular> {

	private static final long serialVersionUID = 3770232265553751846L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "模块编号", example = "1")
	private Integer id;

	@ApiModelProperty(value = "模块名", example = "公告")
	private String modularname;

	@ApiModelProperty(value = "模块名英文名", example = "gonggao")
	private String modularEnglish;

	@ApiModelProperty(value = "组织机构id", example = "117")
	private Integer organization_id;// 标题

	@ApiModelProperty(value = "模块图片地址", example = "http://www.4399.com")
	private String mkpic;

	@ApiModelProperty(value = "模块小图标地址", example = "http://www.4399.com")
	private String mkicon;

	@ApiModelProperty(value = "0- 开启  1-关闭", example = "0")
	private Integer isOpen;

}
