package cn.timer.api.bean.qyxx;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 已读消息表
 * @author dsc
 *
 */

@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "cms_is_read")
@ApiModel("已读消息表")
public class CmsIsRead extends Model<CmsIsRead>{

	private static final long serialVersionUID = 6050415559589996964L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号", example = "1")
	private Integer id;

	@ApiModelProperty(value = "讯息id", example = "1")
	private Integer mid;
	
	@ApiModelProperty(value = "已读用户id", example = "11677")
	private Integer uid;
	
	@ApiModelProperty(value = "读取时间", example = "")
	private Date readTime;
	
	@ApiModelProperty(value = "组织机构id", example = "117")
	private Integer orgCode;
	
}
