package cn.timer.api.bean.qyzx;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-13
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="qyzx_atta_fpgl")
@ApiModel("开票管理")
public class QyzxAttaFpgl extends Model<QyzxAttaFpgl> {

	private static final long serialVersionUID = 4897126448670160289L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号 编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="组织机构代码 组织机构代码",example="101")
    private Integer orgCode;
    
	@ApiModelProperty(value="发票抬头 ",example="发票抬头")
    private String title;
    
	@ApiModelProperty(value="发票税号 ",example="税号（Tax File Number）")
    private String tfn;
    
	@ApiModelProperty(value="公司地址 ",example="公司地址")
    private String address;
    
	@ApiModelProperty(value="电话号码 电话号码",example="101")
    private String phone;
    
	@ApiModelProperty(value="开户银行 ",example="开户银行")
    private String depositBank;
    
	@ApiModelProperty(value="开户账号 开户账号",example="101")
    private String depositBankAccount;
    
	@ApiModelProperty(value="是否默认 0：是；1：否",example="101")
    private Integer isDefault;
    
	@ApiModelProperty(value="申请企业 ",example="申请企业")
    private String applyEnt;
    
	@ApiModelProperty(value="开票状态 1：待开票，2：已开票，3：已撤销 4：已拒绝",example="101")
    private Integer status;
    
	@ApiModelProperty(value="开票金额 ",example="开票金额")
    private Double money;
    
	@ApiModelProperty(value="开票项目 ",example="开票项目")
    private String project;
    
	@ApiModelProperty(value="开票类型 1：普通发票，2：增值税专用发票",example="101")
    private Integer type;
    
	@ApiModelProperty(value="开票时间 ",example="开票时间")
    private Date createTime;

}