package cn.timer.api.bean.qyzx;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-13
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="qyzx_atta_fpzl")
@ApiModel("发票资料")
public class QyzxAttaFpzl extends Model<QyzxAttaFpzl> {

	private static final long serialVersionUID = -7163425558087590772L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号 编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="组织机构代码 组织机构代码",example="101")
    private Integer orgCode;
    
	@ApiModelProperty(value="发票抬头 ",example="发票抬头")
    private String title;
    
	@ApiModelProperty(value="发票税号 ",example="税号（Tax File Number）")
    private String tfn;
    
	@ApiModelProperty(value="公司地址 ",example="公司地址")
    private String address;
    
	@ApiModelProperty(value="电话号码 电话号码",example="101")
    private String phone;
    
	@ApiModelProperty(value="开户银行 ",example="开户银行")
    private String depositBank;
    
	@ApiModelProperty(value="开户账号 开户账号",example="101")
    private String depositBankAccount;
    
	@ApiModelProperty(value="是否默认 1：是；2：否",example="101")
    private Integer isDefault;
    
	@ApiModelProperty(value="创建时间 ",example="创建时间")
    private Date createTime;
    

}