package cn.timer.api.bean.qyzx;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-12
*/
@Entity
@Data
@Builder(toBuilder=true)
@AllArgsConstructor
@NoArgsConstructor
@Table(name="qyzx_ent_auth")
@ApiModel("企业认证表")
public class QyzxEntAuth extends Model<QyzxEntAuth> {

	private static final long serialVersionUID = -6873751022135784670L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
//	@ApiModelProperty(value="编号 编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="组织机构代码 ",example=" 企业信息ID")
    private String orgCode;
    
	@ApiModelProperty(value="证件类型  1:多证合一营业执照(原 注册号 字样，调整为18位的 统一社会信用代码 )；2：普通营业执照(仍然标识为15位的 注册号 )",example="101")
    private Integer certificateType;
    
	@ApiModelProperty(value="营业执照 ",example=" 照片支持.jpg .jpeg .bmp .gif .png格式，大小不超过8M。")
    private String businessLicenseUrl;
    
	@ApiModelProperty(value="统一社会信用代码 ",example="统一社会信用代码")
    private String uscc;
    
	@ApiModelProperty(value="企业名称 ",example="企业名称")
    private String name;
    
	@ApiModelProperty(value="法人代表 ",example="法人代表")
    private String legalPerson;
    
	@ApiModelProperty(value="法人代表身份证号 ",example="法人代表身份证号")
    private String legalPersonIdcard;
    
	@ApiModelProperty(value="所在城市 ",example=" 省/市")
    private String city;
    
	@ApiModelProperty(value="详细地址 ",example="详细地址")
    private String detailedAddress;
    
	@ApiModelProperty(value="认证授权书 ",example=" 照片支持.jpg .jpeg .bmp .gif格式，大小不超过8M。")
    private String authCertificateUrl;
    
	@ApiModelProperty(value="认证状态  1：审核中、2：审核失败、3：审核成功",example="101")
    private Integer authType;
	
	@TableField(fill = FieldFill.UPDATE)
	@ApiModelProperty(value="认证时间 ",example="认证时间")
    private Date authTime;

}