package cn.timer.api.bean.qyzx;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-11
*/
@Entity
@Data
@Builder(toBuilder=true)
@AllArgsConstructor
@NoArgsConstructor
@Table(name="qyzx_ent_info_m")
@ApiModel("企业信息")
public class QyzxEntInfoM extends Model<QyzxEntInfoM> {

	private static final long serialVersionUID = -8183022357750431045L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="组织机构代码  组织机构代码",example="101")
    private Integer id;
    
	@ApiModelProperty(value="企业名称 ",example="企业名称")
    private String name;
    
	@ApiModelProperty(value="企业简介 企业简介",example="101")
    private String intro;
    
	@ApiModelProperty(value="法人 ",example="刘德华")
    private String operName;
    
	@ApiModelProperty(value="企业规模  10人以下、10-19人、20-99人、100-500人、500人以上",example="101")
    private Integer size;
    
	@ApiModelProperty(value="电话号码 ",example="18712345678")
    private String phone;
    
	@ApiModelProperty(value="办公地址 ",example=" 省/市/区 例：广东省/广州市/白云区")
    private String workAddress;
    
	@ApiModelProperty(value="企业编码 ",example=" 例：YLZYCS（YL：优领简写；ZY：版本；CS：账户公司简称）")
    private String codes;
    
	@ApiModelProperty(value="企业LOGO ",example="企业LOGO")
    private String logoUrl;
    
	@ApiModelProperty(value="行业类型  1:农、林、牧、渔业、2:采矿业、3:制造业、4:电力、燃气及水的生产和供应业、5:建筑业、6:交通运输、仓储和邮政业、7:信息传输、计算机服务和软件业、8:批发和零售业、9:住宿和餐饮业、10:金融业、11:房地产业、12:租赁和商务服务业、13:科学研究、技术服务和地质勘查业、14:水利、环境和公共设施管理业、15:居民服务和其他服务业",example="101")
    private Integer industryType;
    
	@ApiModelProperty(value="开通渠道  1直属、2总代理、3独家代理、4一般代理商、5区域代理商",example="101")
    private Integer openChannel;
    
	@ApiModelProperty(value="联系人 ",example="刘德华")
    private String linkMan;
    
	@ApiModelProperty(value="联系人电话 ",example="18712345678")
    private String linkManPhone;
    
	@ApiModelProperty(value="统一社会信用代码 ",example=" 统一社会信用代码")
    private String creditCode;
    
	@ApiModelProperty(value="是否上市  0:否 1:是",example="101")
    private Integer isOnStock;
    
	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value="企业注册时间 ",example="企业注册时间")
    private Date registerTime;
	
	@ApiModelProperty(value="到期时间 ",example="到期时间")
	private Date endTime;
	
	@ApiModelProperty(value="企业版本，0试用,1标准,2专业, ",example="0")
    private Integer level;
}