package cn.timer.api.bean.qyzx;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-13
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="qyzx_log_buy")
@ApiModel("购买记录表")
public class QyzxLogBuy extends Model<QyzxLogBuy> {

	private static final long serialVersionUID = 2449613599248781909L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号 编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="员工工号 员工工号",example="101")
    private Integer empNum;
    
	@ApiModelProperty(value="付费服务id 付费服务id",example="101")
    private Integer payServeId;
    
	@ApiModelProperty(value="购买金额 ",example="购买金额")
    private Double money;
    
	@ApiModelProperty(value="购买数量 购买数量",example="101")
    private Integer num;
    
	@ApiModelProperty(value="付费单位 ",example="付费单位")
    private String unit;
    
	@ApiModelProperty(value="购买时间 ",example="购买时间")
    private Date createTime;
    
}