package cn.timer.api.bean.qyzx;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-13
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="qyzx_pay_serve")
@ApiModel("付费服务表")
public class QyzxPayServe extends Model<QyzxPayServe> {

	private static final long serialVersionUID = 5961544289380357597L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="主键 主键",example="101")
    private Integer id;
    
	@ApiModelProperty(value="付费服务代码 付费服务代码",example="101")
    private Integer code;
    
	@ApiModelProperty(value="名称 ",example="名称")
    private String name;
    
	@ApiModelProperty(value="原价 ",example="原价-单价")
    private Double originalPrice;
    
	@ApiModelProperty(value="特价 ",example="特价-单价")
    private Double specialPrice;
    
	@ApiModelProperty(value="单位 ",example="月、季、年、条、次")
    private String unit;
    
	@ApiModelProperty(value="数量 数量",example="101")
    private Integer num;
    
	@ApiModelProperty(value="排序 排序",example="101")
    private Integer sort;
    
	@ApiModelProperty(value="备注 ",example="备注")
    private String remark;
    
	@ApiModelProperty(value="类型 1：系统版本 2：短信、3：背景调查、4：即时消息、5：电子合同",example="101")
    private Integer type;
    
	@ApiModelProperty(value="创建时间 ",example="创建时间")
    private Date createTime;
    
}