package cn.timer.api.bean.sbgjj;

import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lal 2019-12-09
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "sbgjj_admin_cbry")
@ApiModel("参保人员")
public class SbgjjAdminCbry extends Model<SbgjjAdminCbry> {

	/**
	 * 
	 */
	private static final long serialVersionUID = -1916432768990566649L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "用户id 用户id", example = "101")
	private Integer userNum;

	@ApiModelProperty(value = "社保参保状态 0：未投保 1：正常在缴 2：暂不办理 3：已停保", example = "101")
	private Integer sbcbState;

	@ApiModelProperty(value = "公积金参保状态 0：未投保 1：正常在缴 2：暂不办理 3：已停保", example = "101")
	private Integer gjjcbState;

	@ApiModelProperty(value = "缴纳方式 1：公司自缴", example = "101")
	private Integer jlMode;

	@ApiModelProperty(value = "参保城市", example = "101")
	private String cbfacs;

	@ApiModelProperty(value = "社保方案id", example = "社保方案id")
	private Integer sbfaid;
	@ApiModelProperty(value = "社保缴纳起始月 ", example = "社保缴纳起始月")
	private String sbjlStatime;
	@ApiModelProperty(value = "社保缴纳基数 ", example = "社保缴纳基数")
	private Double sbjljs;

	@ApiModelProperty(value = "公积金方案id", example = "公积金方案id")
	private Integer gjjfaid;
	@ApiModelProperty(value = "公积金缴纳起始月 ", example = "公积金缴纳起始月")
	private String gjjjlStatime;
	@ApiModelProperty(value = "公积金缴纳基数 ", example = "公积金缴纳基数")
	private Double gjjjljs;

	@ApiModelProperty(value = "社保缴纳结束月 ", example = "社保缴纳结束月")
	private String sbjlEndtime;

	@ApiModelProperty(value = "公积金缴纳结束月 ", example = "公积金缴纳结束月")
	private String gjjjlEndtime;

	@ApiModelProperty(value = "投保人员 投保人员", example = "101")
	private Integer insureNum;

	@ApiModelProperty(value = "投保时间 投保时间", example = "101")
	private Long insureTime;

	@ApiModelProperty(value = "停保人员 停保人员", example = "101")
	private Integer stopNum;

	@ApiModelProperty(value = "停保时间 停保时间", example = "101")
	private Long stopTime;

	@ApiModelProperty(value = "状态 1：使用中；0：历史记录", example = "101")
	private Integer state;

	@ApiModelProperty(value = "企业id", example = "101")
	private Integer qyid;

}