package cn.timer.api.bean.sbgjj;

import java.util.Date;
import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-12-06
*/
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name="sbgjj_type_details")
@ApiModel("社保公积金方案")
public class SbgjjTypeDetails extends Model<SbgjjTypeDetails> {

    /**
	 * 
	 */
	private static final long serialVersionUID = 1624629196919610692L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号 编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="社保或公积金名字 ",example="社保或公积金名字")
    private String name;
    
	@ApiModelProperty(value="地区信息id 地区信息id",example="101")
    private Integer areaInfoId;
    
	@ApiModelProperty(value="基数范围下限 ",example="基数范围下限")
    private Double baseDown;
    
	@ApiModelProperty(value="基数范围上限 ",example="基数范围上限")
    private Double baseUp;
    
	@ApiModelProperty(value="公司基数范围下限 ",example="公司基数范围下限")
    private Double companyBaseDown;
    
	@ApiModelProperty(value="公司基数范围上限 ",example="公司基数范围上限")
    private Double companyBaseUp;
    
	@ApiModelProperty(value="公司固定金额 ",example="公司固定金额")
    private Double companyFixedMoney;
    
	@ApiModelProperty(value="公司比例 ",example="公司比例")
    private Double companyRatio;
    
	@ApiModelProperty(value="公司随身携带规则 ",example="公司随身携带规则")
    private Double corpCarryRule;
    
	@ApiModelProperty(value="个人基数范围下限 ",example="个人基数范围下限")
    private Double personBaseDown;
    
	@ApiModelProperty(value="个人基数范围上限 ",example="个人基数范围上限")
    private Double personBaseUp;
    
	@ApiModelProperty(value="个人随身携带规则 ",example="个人随身携带规则")
    private Double personCarryRule;
    
	@ApiModelProperty(value="个人固定金额 ",example="个人固定金额")
    private Double personFixedMoney;
    
	@ApiModelProperty(value="个人比例 ",example="个人比例")
    private Double personRatio;
	
	@ApiModelProperty(value="1：社保；2：公积金",example="1：社保；2：公积金")
    private Integer type;
    

}