package cn.timer.api.bean.spmk;

import java.util.Date;
import java.util.List;

import javax.persistence.*;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-25
*/
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name="spmk_kjpz")
@ApiModel("控件配置")
public class SpmkKjpz extends Model<SpmkKjpz> {

    @Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="控件id",example="101")
    private Integer kjId;
    
	@ApiModelProperty(value="控件标题",example="控件标题")
    private String title;
    
	@ApiModelProperty(value="控件标题2",example="控件标题2")
    private String titletwo;
    
	@ApiModelProperty(value="类型 1 2 3 4 5 6",example="101")
    private Integer type;
    
	@ApiModelProperty(value="提示文字",example="提示文字")
    private String tswz;
    
	@ApiModelProperty(value="动作名称",example="动作名称")
    private String dzmc;
    
	@ApiModelProperty(value="验证 0是 1否",example="101")
    private Integer isYz;
    
	@ApiModelProperty(value="打印 0是 1否",example="101")
    private Integer isDy;
    
	@ApiModelProperty(value="日期类型 0年-月-日 时:分 1年-月-日",example="101")
    private Integer timeType;
    
	@ApiModelProperty(value="水印照片 0是 1否",example="101")
    private Integer isSyzp;
    
	@ApiModelProperty(value="打印格式 0横向打印 1纵向打印",example="101")
    private Integer dygsType;
    
	@ApiModelProperty(value="显示 0是 1否 在审批页显示",example="101")
    private Integer isShow;
    
	@ApiModelProperty(value="链接跳转地址 ",example="链接跳转地址")
    private String ljtzUrl;
    
	@ApiModelProperty(value="显示大写 0是 1否",example="101")
    private Integer isShowup;
    
	@ApiModelProperty(value="选项 0只能选择一 1可同时选择多",example="101")
    private Integer xxType;
    
	@ApiModelProperty(value="计算公式 ",example="计算公式")
    private String jsgs;
    
	@ApiModelProperty(value="关联审批单类型id 关联审批单类型id",example="101")
    private Integer glspdId;
    
	@ApiModelProperty(value="说明 ",example="说明")
    private String description;
	
	@Transient
	@TableField(exist = false)
	private List<SpmkXzx> spmkXzxs;
    

}