package cn.timer.api.bean.xcgl;

import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * @author lalqq
 *
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name="xcgl_admin_xzz")
@ApiModel("薪资组")
public class XcglAdminXzz extends Model<XcglAdminXzz> {

    /**
	 * 
	 */
	private static final long serialVersionUID = 5113241282505712732L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="id",example="1")
    private Integer id;
    
	@ApiModelProperty(value="薪资组命名 ",example="薪资组命名")
    private String name;
    
	@ApiModelProperty(value="算薪月周期 0：上月；1：当月",example="1")
    private Integer payperiod;
    
	@ApiModelProperty(value="算薪日周期 全月",example="12")
    private Integer paydayperiod;
	
	@ApiModelProperty(value="算薪周期",example="2019-10-01 至 2019-10-31")
    private String payrollcycle;
    
	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "添加时间 ", example = "添加时间")
	private Long addtime;
    
	@ApiModelProperty(value="添加人员",example="12")
    private Integer adduserid;
    
	@ApiModelProperty(value="状态 0：已删除；1：使用中",example="1")
    private Integer deletestate;
    
	@ApiModelProperty(value="计算状态 0：未计算；1：已计算",example="1")
    private Integer countstate;
    
	@ApiModelProperty(value="企业id",example="101")
    private Integer qyid;
	
	@ApiModelProperty(value="选择配薪方式(0:空白模板；df:默认)",example="0")
    private String pxfs;
	
	@ApiModelProperty(value="所属月份时间",example="2019-12")
    private String monthtime;
    

}