package cn.timer.api.bean.xcgl;

import java.util.Date;
import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author lalTang 2019-12-12
*/
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name="xcgl_asso_gztsz")
@ApiModel("工资条组-设置")
public class XcglAssoGztsz extends Model<XcglAssoGztsz> {

    /**
	 * 
	 */
	private static final long serialVersionUID = 6638841164667873057L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="id id",example="101")
    private Integer id;
    
	@ApiModelProperty(value="模板名称 ",example="模板名称")
    private String mbmc;
    
	@ApiModelProperty(value="温馨提示开关 温馨提示开关",example="101")
    private Integer isWxts;
    
	@ApiModelProperty(value="温馨提示内容 ",example="温馨提示内容")
    private String wxtslr;
    
	@ApiModelProperty(value="实发金额（头部显示） ",example="实发金额是指员工实际到手的工资，将显示在员工工资条的顶部蓝色区域")
    private Integer top;
    
	@ApiModelProperty(value="隐藏空数据项开关 在员工收到的工资条上，隐藏数值为空（或数值为0）的薪资项",example="101")
    private Integer isYcksj;
    
	@ApiModelProperty(value="显示薪资项（数组） ",example="显示薪资项（数组）")
    private String xsxzx;
    
	@ApiModelProperty(value="阅后即焚开关 在员工查看工资条一定时间之后，将变为不可查阅",example="101")
    private Integer isYhjf;
    
	@ApiModelProperty(value="阅后即焚时间（分钟） ",example="阅后即焚时间（分钟）")
    private String yhjfTime;
    
	@ApiModelProperty(value="签名确认 开启后，员工确认工资条时需要手写签名",example="101")
    private Integer qmqr;
    
	@ApiModelProperty(value="员工反馈开关 允许员工在工资条上反馈工资问题",example="101")
    private Integer isYgfk;
    
	@ApiModelProperty(value="薪资组id 薪资组id",example="101")
    private Integer xzzid;
    
	@ApiModelProperty(value="企业id 企业id",example="101")
    private Integer qyid;
	
	@ApiModelProperty(value="月份",example="101")
	private String gztyf;
	
	@ApiModelProperty(value="阅后即焚单位 1：分钟；2：小时；3：天",example="1")
	private Integer yhjfdw;
    

}