package cn.timer.api.bean.xcgl;

import java.util.Date;
import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author lal 2019-12-05
*/
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name="xcgl_asso_zxfjkc")
@ApiModel("专项附加扣除")
public class XcglAssoZxfjkc extends Model<XcglAssoZxfjkc> {

    /**
	 * 
	 */
	private static final long serialVersionUID = 5375688385289371150L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="id id",example="101")
    private Integer id;
    
	@ApiModelProperty(value="用户工号 用户工号",example="101")
    private Integer userid;
    
	@ApiModelProperty(value="时间 ",example="时间")
    private String taxmonth;
    
	@ApiModelProperty(value="子女教育 ",example="子女教育")
    private Double childrenedu;
    
	@ApiModelProperty(value="住房贷款利息 ",example="住房贷款利息")
    private Double houseloans;
    
	@ApiModelProperty(value="住房租金 ",example="住房租金")
    private Double houserents;
    
	@ApiModelProperty(value="赡养老人 ",example="赡养老人")
    private Double supportolder;
    
	@ApiModelProperty(value="继续教育 ",example="继续教育")
    private Double continueedu;
    
	@ApiModelProperty(value="累计专项附加扣除 ",example="自动计算：累计专项附加扣除=子女教育+住房贷款利息+住房租金+赡养老人+继续教育")
    private Double totalmoney;
    
	@TableField(fill = FieldFill.INSERT)
	@ApiModelProperty(value = "添加时间 ", example = "添加时间")
	private Long addtime;
    
	@ApiModelProperty(value="企业id 企业id",example="101")
    private Integer qyid;
    

}