package cn.timer.api.bean.yggl;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-15
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="yggl_atta_czjlb")
@ApiModel("员工成长记录表")
public class YgglAttaCzjlb extends Model<YgglAttaCzjlb> {

	private static final long serialVersionUID = 8217499408686643877L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号 编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="员工工号 ",example="员工工号")
    private Integer empNum;
    
	@ApiModelProperty(value="部门岗位id 岗位的id编号",example="101")
    private Integer bmgwId;
    
	@ApiModelProperty(value="发生时间 ",example="发生时间")
    private Date time;
    
	@ApiModelProperty(value="类型 0:入职;1:转正;2:调岗;3:离职",example="101")
    private Integer type;
    
	@ApiModelProperty(value="备注 ",example="备注")
    private String remark;
    
	@ApiModelProperty(value="工资 ",example="工资")
    private String sum;
    
	@ApiModelProperty(value="组织机构代码 组织机构代码",example="101")
    private Integer orgCode;
    
}