package cn.timer.api.bean.yggl;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-15
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="yggl_atta_gzjlb")
@ApiModel("员工工作经历表")
public class YgglAttaGzjlb extends Model<YgglAttaGzjlb> {

	private static final long serialVersionUID = 5781268897312870187L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="主键 主键",example="101")
    private Integer id;
    
	@ApiModelProperty(value="员工工号 用户id",example="101")
    private Integer empNum;
    
	@ApiModelProperty(value="公司名称 ",example="公司名称")
    private String orgName;
    
	@ApiModelProperty(value="担任职位 ",example="担任职位")
    private String jobName;
    
	@ApiModelProperty(value="工作开始时间 ",example="工作开始时间")
    private Date startTime;
    
	@ApiModelProperty(value="工作结束时间 ",example="工作结束时间")
    private Date endTime;
    
	@ApiModelProperty(value="证明人 ",example="证明人")
    private String zmr;
    
	@ApiModelProperty(value="证明人联系电话 证明人联系电话",example="101")
    private String zmrPhone;
    
	@ApiModelProperty(value="离职原因 ",example="离职原因")
    private String lzyy;
    
	@ApiModelProperty(value="工作备注/职位描述 ",example="工作备注/职位描述")
    private String jobRemark;
    
	@ApiModelProperty(value="组织机构代码 组织机构代码",example="101")
    private Integer orgCode;

}