package cn.timer.api.bean.yggl;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-15
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="yggl_atta_gzk")
@ApiModel("员工工资卡信息")
public class YgglAttaGzk extends Model<YgglAttaGzk> {

	private static final long serialVersionUID = -5558000013053361951L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号 编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="员工工号 员工工号",example="101")
    private Integer empNum;
    
	@ApiModelProperty(value="工资卡开户银行 工资卡开户银行",example="101")
    private String gzkkhyh;
    
	@ApiModelProperty(value="工资卡分支行 ",example="工资卡分支行")
    private String gzkfzh;
    
	@ApiModelProperty(value="工资卡开户名 ",example="工资卡开户名")
    private String name;
    
	@ApiModelProperty(value="工资卡银行账号 工资卡银行账号",example="101")
    private String gzkyhzh;
    
	@ApiModelProperty(value="工资卡照片 ",example="工资卡照片")
    private String pictureUrl;
    
	@ApiModelProperty(value="添加时间 ",example="添加时间")
    private Date createTime;
    
	@ApiModelProperty(value="组织机构代码 组织机构代码",example="101")
    private Integer orgCode;

}