package cn.timer.api.bean.yggl;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-15
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="yggl_atta_htxxb")
@ApiModel("员工合同信息表")
public class YgglAttaHtxxb extends Model<YgglAttaHtxxb> {

	private static final long serialVersionUID = 6693512558994404947L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号 编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="员工工号 ",example="员工工号")
    private Integer empNum;
    
	@ApiModelProperty(value="合同编号 ",example="合同编号")
    private String htId;
    
	@ApiModelProperty(value="合同类型 0:固定期限劳动合同;1:无固定期限劳动合同;2:以完成一定工作任务为期限的劳动合同;3:实习协议;4:劳务合同;5:返聘协议;6:劳务派遣合同7:借调合同;8:其他",example="101")
    private Integer type;
    
	@ApiModelProperty(value="合同开始日期 ",example="合同开始日期")
    private Date startTime;
    
	@ApiModelProperty(value="合同结束日期 ",example="合同结束日期")
    private Date endTime;
    
	@ApiModelProperty(value="合同签约公司 ",example="合同签约公司")
    private String htqygs;
    
	@ApiModelProperty(value="合同状态 0:执行中;1:已到期;2:未执行",example="101")
    private Integer status;
    
	@ApiModelProperty(value="合同备注 ",example="合同备注")
    private String remark;
    
	@ApiModelProperty(value="组织机构代码 组织机构代码",example="101")
    private Integer orgCode;

}