package cn.timer.api.bean.yggl;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-15
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="yggl_atta_jyjlb")
@ApiModel("员工教育经历表")
public class YgglAttaJyjlb extends Model<YgglAttaJyjlb> {

	private static final long serialVersionUID = -6322075797991640411L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="主键 主键",example="101")
    private Integer id;
    
	@ApiModelProperty(value="员工工号 员工工号",example="101")
    private Integer empNum;
    
	@ApiModelProperty(value="学历 1:小学;2:初中;3:高中;4:中专;5大专;6:本科;7:研究生;8:硕士;9:博士",example="101")
    private Integer edu;
    
	@ApiModelProperty(value="毕业院校 ",example="毕业院校")
    private String school;
    
	@ApiModelProperty(value="毕业专业 ",example="毕业专业")
    private String byzy;
    
	@ApiModelProperty(value="教育开始时间 ",example="教育开始时间")
    private Date startTime;
    
	@ApiModelProperty(value="教育结束时间 ",example="教育结束时间")
    private Date endTime;
    
	@ApiModelProperty(value="学习形式 0:全日制;1:成人教育;2:远程教育;3:自学考试;4:其他非全日制",example="101")
    private Integer studyType;
    
	@ApiModelProperty(value="毕业证书编号 毕业证书编号",example="101")
    private String byzsId;
    
	@ApiModelProperty(value="学位证书编号 学位证书编号",example="101")
    private String xwzsbhId;
    
	@ApiModelProperty(value="教育备注 ",example="教育备注")
    private String eduRemark;
    
	@ApiModelProperty(value="毕业证书照片 ",example="毕业证书照片路径")
    private String urlByzszp;
    
	@ApiModelProperty(value="学位证书照片 ",example="学位证书照片路径")
    private String urlXwzszp;
    
	@ApiModelProperty(value="组织机构代码 组织机构代码",example="101")
    private Integer orgCode;

}