package cn.timer.api.bean.yggl;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.experimental.Tolerate;

/**
* @author Tang 2019-11-15
*/
@Entity
@Data
@Builder
@Table(name="yggl_atta_pxjlxxb")
@ApiModel("员工培训经历信息表")
public class YgglAttaPxjlxxb extends Model<YgglAttaPxjlxxb> {

	private static final long serialVersionUID = -7747144984865381919L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号 编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="员工工号 ",example="员工工号")
    private Integer empNum;
    
	@ApiModelProperty(value="培训名称 ",example="培训名称")
    private String pxName;
    
	@ApiModelProperty(value="培训单位 ",example="培训单位")
    private String pxdw;
    
	@ApiModelProperty(value="培训开始时间 ",example="请记录准确日期便于搜索")
    private Date startTime;
    
	@ApiModelProperty(value="培训结束时间 ",example="培训结束时间")
    private Date endTime;
    
	@ApiModelProperty(value="培训总学时 ",example="3位数，浮点类型float，小数点后1位，计算方式，结束时间-开始时间 = 总共经历时间天数/360")
    private Float pxzxs;
    
	@ApiModelProperty(value="培训成绩 ",example="5位数，浮点类型float，小数点后1位，计算方式，结束时间-开始时间 = 总共经历时间天数/360")
    private Float pxcj;
    
	@ApiModelProperty(value="培训证书名称 ",example="培训证书名称")
    private String pxzsName;
    
	@ApiModelProperty(value="培训证书编号 ",example="培训证书编号")
    private String pxzsId;
    
	@ApiModelProperty(value="培训备注 ",example="培训备注")
    private String pxRemark;
    
	@ApiModelProperty(value="组织机构代码 组织机构代码",example="101")
    private Integer orgCode;
    
	@Tolerate
    public YgglAttaPxjlxxb() {
    }

}