package cn.timer.api.bean.yggl;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-15
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="yggl_atta_zcxxb")
@ApiModel("员工职称信息表")
public class YgglAttaZcxxb extends Model<YgglAttaZcxxb> {

	private static final long serialVersionUID = -2660809596672320074L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号 编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="员工工号 员工工号",example="101")
    private Integer empNum;
    
	@ApiModelProperty(value="职称名称 ",example="职称名称")
    private String zcName;
    
	@ApiModelProperty(value="职称级别 1:正高级;2:副高级;3:中级(一级);4:助理级(二级);5:员级(三级)",example="101")
    private Integer zcType;
    
	@ApiModelProperty(value="职称获得时间 ",example="职称获得时间")
    private Date time;
    
	@ApiModelProperty(value="职称评定机构 ",example="职称评定机构")
    private String zcpdjg;
    
	@ApiModelProperty(value="职称证书编号 ",example="职称证书编号")
    private String zczsId;
    
	@ApiModelProperty(value="是否最高职称 0:是;1:否",example="101")
    private Integer isZgzc;
    
	@ApiModelProperty(value="职称备注 ",example="职称备注")
    private String zcRemark;
    
	@ApiModelProperty(value="组织机构代码 ",example="组织机构代码")
    private Integer orgCode;
    
}