package cn.timer.api.bean.yggl;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author Tang 2019-11-15
*/
@Entity
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Table(name="yggl_atta_zszjb")
@ApiModel("员工证书证件表")
public class YgglAttaZszjb extends Model<YgglAttaZszjb> {

	private static final long serialVersionUID = -2290899204042641440L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号 编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="员工工号 ",example="员工工号")
    private Integer empNum;
    
	@ApiModelProperty(value="证书名称 ",example="证书名称")
    private String zsName;
    
	@ApiModelProperty(value="证书类型 详细去看",example="101")
    private Integer type;
    
	@ApiModelProperty(value="级别 1:三级;2:二级;3:一级;4:高级",example="101")
    private Integer level;
    
	@ApiModelProperty(value="专业 ",example="专业")
    private String zy;
    
	@ApiModelProperty(value="发证机构 ",example="发证机构")
    private String fzjg;
    
	@ApiModelProperty(value="发证日期 ",example="发证日期")
    private Date fzTime;
    
	@ApiModelProperty(value="有效期起始日 ",example="有效期起始日")
    private Date startTime;
    
	@ApiModelProperty(value="有效期到期日 ",example="有效期到期日")
    private Date endTime;
    
	@ApiModelProperty(value="证书编号 ",example="证书编号")
    private String zsId;
    
	@ApiModelProperty(value="证书备注 ",example="证书备注")
    private String zsRemark;
    
	@ApiModelProperty(value="组织机构代码 组织机构代码",example="101")
    private Integer orgCode;

}