package cn.timer.api.bean.zcgl;

import java.util.Date;
import javax.persistence.*;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author dsc 2019-11-26
*/
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name="zcgl_admin_zccrkgl")
@ApiModel("资产出入库管理表")
public class ZcglAdminZccrkgl extends Model<ZcglAdminZccrkgl> {

	private static final long serialVersionUID = -1056990184080348450L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="编号 编号",example="101")
    private Integer id;
    
	@ApiModelProperty(value="入库批次 ",example="入库批次")
    private String rkpc;
    
	@ApiModelProperty(value="资产编号 ",example="资产编号")
    private String zcbh;
    
	@ApiModelProperty(value="资产名称 ",example="资产名称")
    private String zcmc;
    
	@ApiModelProperty(value="资产id",example="1")
    private Integer zcid;
    
	@ApiModelProperty(value="规格/型号 ",example="规格/型号")
    private String zcggxh;
    
	@ApiModelProperty(value="数量",example="101")
    private Integer zcsl;
    
	@ApiModelProperty(value="单位",example="单位")
    private String zcdw;
    
	@ApiModelProperty(value="金额",example="6.66")
    private Double jine;
    
	@ApiModelProperty(value="存放点",example="存放点")
    private String cfd;
    
	@ApiModelProperty(value="购入时间",example="购入时间")
    private Date grsjTime;
    
	@ApiModelProperty(value="有效期",example="有效期")
    private Integer yxq;
    
	@ApiModelProperty(value="生产日期",example="生产日期")
    private Date scrqTime;
    
	@ApiModelProperty(value="状态",example="101")
    private Integer status;
    
	@ApiModelProperty(value="最后编辑人",example="最后编辑人")
    private String zhbjr;
    
	@ApiModelProperty(value="最后编辑时间",example="最后编辑时间")
    private Date zhbjsjTime;
    
	@ApiModelProperty(value="企业id",example="企业id")
    private Integer orgCode;
    
	@ApiModelProperty(value="管理员 ",example="管理员")
    private String gly;
    
	@ApiModelProperty(value="使用部门",example="使用部门")
    private String sybm;
    
	@ApiModelProperty(value="用户方",example="用户方")
    private String syf;
    
	@ApiModelProperty(value="使用期限",example="数值(天)")
    private Integer syqx;
    
	@ApiModelProperty(value="来源",example="101")
    private Integer zclyType;
    
//	@ApiModelProperty(value="是否公开",example="101")
//  private Integer isSfgk;
    
	@ApiModelProperty(value="入库备注",example="入库备注")
    private String zcbz;
    
	@ApiModelProperty(value="资产图片",example="资产图片")
    private String zctu;
    
	@ApiModelProperty(value="供应商",example="供应商")
    private String zcgys;
    
	@ApiModelProperty(value="联系人",example="联系人")
    private String lxr;
    
	@ApiModelProperty(value="联系方式",example="联系方式")
    private String lxfsType;
    
	@ApiModelProperty(value="负责人",example="负责人")
    private String fzr;
    
	@ApiModelProperty(value="维保到期日",example="维保到期日")
    private Date wbdqrTime;
    
	@ApiModelProperty(value="维保说明",example="维保说明")
    private String wbsm;
    
	@ApiModelProperty(value="出库时间",example="出库时间")
    private Date cksjTime;
    
	@ApiModelProperty(value="出库原因",example="101")
    private Integer ckyy;
    
	@ApiModelProperty(value="出库说明",example="出库说明")
    private String cksm;
    
	@ApiModelProperty(value="用户id（出库人员)",example="101")
    private Integer ckryid;
    

}