package cn.timer.api.bean.zcgl;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-11-26
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zcgl_asso_zcda")
@ApiModel("资产档案表")
public class ZcglAssoZcda extends Model<ZcglAssoZcda> {

	private static final long serialVersionUID = -6326890577248174440L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "自定义编号", example = "ZC-00001")
	private String zdyid;

	@ApiModelProperty(value = "公司编号", example = "117")
	private Integer orgCode;

	@ApiModelProperty(value = "资产编号", example = "资产编号")
	private String zcbh;

	@ApiModelProperty(value = "名称", example = "名称")
	private String mc;

	@ApiModelProperty(value = "规格型号", example = "规格型号")
	private String ggxh;

	@ApiModelProperty(value = "类别", example = "1-固定资产  2-消耗品  或用户自定义")
	private Integer lbid;

	@ApiModelProperty(value = "计量单位", example = "计量单位")
	private String jldw;

//	@ApiModelProperty(value="状态",example="101")
//    private Integer ztType;

	@ApiModelProperty(value = "参数", example = "参数")
	private String cs;

	@ApiModelProperty(value = "图片", example = "图片")
	private String tulj;

	@ApiModelProperty(value = "备注", example = "备注")
	private String bzxx;

//	@ApiModelProperty(value="状态",example="0-闲置  1-领用  2-报废")
//    private Integer sts;

	@ApiModelProperty(value = "闲置数量", example = "9")
	private Integer xzsl;

	@ApiModelProperty(value = "领用数量", example = "9")
	private Integer lysl;

	@ApiModelProperty(value = "报废数量", example = "9")
	private Integer bfsl;

	@ApiModelProperty(value = "资产单价", example = "999.9")
	private Double zcdj;

	@ApiModelProperty(value = "录入时间", example = "录入时间")
	private Date lrsjTime;

	@ApiModelProperty(value = "录入人id", example = "录入人id")
	private Integer lrrid;

}