package cn.timer.api.bean.zcgl;

import java.util.List;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name="zcgl_asso_zcgx")
@ApiModel("资产类别关系表")
public class ZcglAssoZcgx extends Model<ZcglAssoZcgx> {

	private static final long serialVersionUID = -6326890577248174440L;

	@Id
    @GeneratedValue
    @TableId (type = IdType.AUTO)
	@ApiModelProperty(value="类别编号",example="1")
    private Integer id;
	
	@ApiModelProperty(value="类别名称",example="固定资产")
    private String lbmc;

	@ApiModelProperty(value="上级类别id",example="1")
    private Integer upLbid;
	
	@ApiModelProperty(value="组织机构id",example="117")
    private Integer orgCode;
	
	// 所有子节点
	@Transient
    private List<ZcglAssoZcgx> children;
	
}