package cn.timer.api.bean.zcgl;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dsc 2019-11-26
 */
@Entity
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "zcgl_asso_zcly")
@ApiModel("资产领用")
public class ZcglAssoZcly extends Model<ZcglAssoZcly> {

	private static final long serialVersionUID = -2220001612583891137L;

	@Id
	@GeneratedValue
	@TableId(type = IdType.AUTO)

	@ApiModelProperty(value = "编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "用户id（领用人）", example = "101")
	private Integer lyrid;

	@ApiModelProperty(value = "领用日期", example = "领用日期")
	private Date lyrqTime;

	@ApiModelProperty(value = "应归还日期", example = "归还日期")
	private Date ghrqTime;

	@ApiModelProperty(value = "使用部门", example = "101")
	private String sybm;

	@ApiModelProperty(value = "企业id", example = "企业id")
	private Integer orgCode;

	@ApiModelProperty(value = "领用后存放点", example = "领用后存放点")
	private String lyhcfd;

	@ApiModelProperty(value = "领用处理人", example = "领用处理人")
	private Integer lyclr;

	@ApiModelProperty(value = "说明", example = "说明")
	private String sm;

	@ApiModelProperty(value = "资产id", example = "101")
	private Integer zcid;

	@ApiModelProperty(value = "领用数量", example = "101")
	private Integer lysl;

	@ApiModelProperty(value = "状态", example = "101")
	private Integer ztStatus;

}