package cn.timer.api.config.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * <p>绑定当前登录的用户</p>
 * <p>不同于@ModelAttribute</p>
 *
 * @author lism
 */
@Target({ElementType.PARAMETER})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface CurrentUser {
	
	/**
     * 当前用户在request/redis中的名字
     *
     * @return
     */
    String empNum() default "empNum";
    
    String orgCode() default "orgCode";
    
    String QyzxEmpLogin() default "QyzxEmpLogin";
	
}
