package cn.timer.api.config.interceptor;

import javax.annotation.Resource;
import javax.servlet.http.HttpSession;

import org.springframework.core.MethodParameter;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.support.WebDataBinderFactory;
import org.springframework.web.context.request.NativeWebRequest;
import org.springframework.web.method.support.HandlerMethodArgumentResolver;
import org.springframework.web.method.support.ModelAndViewContainer;

import cn.timer.api.bean.qyzx.QyzxEmpLogin;
import cn.timer.api.config.annotation.CurrentUser;
import cn.timer.api.config.annotation.UserBean;
import cn.timer.api.controller.dzht.cn.tign.hz.constant.CacheKeyConstant;

@Component
public class UserMethodArgumentResolver implements HandlerMethodArgumentResolver {

	@Resource
	private HttpSession session;

	public UserMethodArgumentResolver() {
	}

	@Override
	public boolean supportsParameter(MethodParameter parameter) {
		if (parameter.getParameterType().isAssignableFrom(UserBean.class)
				&& parameter.hasParameterAnnotation(CurrentUser.class)) {
			return true;
		}
		return false;
	}

	@Override
	public UserBean resolveArgument(MethodParameter parameter, ModelAndViewContainer mavContainer,
			NativeWebRequest webRequest, WebDataBinderFactory binderFactory) throws Exception {
		// String webRequestid = webRequest.getSessionId();
		// String sessionid = session.getId();
		QyzxEmpLogin eld = (QyzxEmpLogin) session.getAttribute("ui");
		String token = (String) session.getAttribute(CacheKeyConstant.TOKEN);
		String refreshToken = (String) session.getAttribute(CacheKeyConstant.REFRESH_TOKEN);
		// Object phone = webRequest.getAttribute(currentUserAnnotation.id(),
		// NativeWebRequest.SCOPE_SESSION);
		Integer empNum = eld.getId();
		Integer orgCode = eld.getOrgId();
		// Integer empNum = (Integer) redisTemplate.get("empNum:"+sessionid);
		// Integer orgCode = (Integer) redisTemplate.get("orgCode:"+sessionid);
		UserBean userBean = UserBean.builder().token(token).refreshToken(refreshToken).empNum(empNum)
				.orgCode(orgCode).qyzxEmpLogin(eld).build();
		// log.info("webRequest:"+sessionid);
		return userBean;
	}

}
