package cn.timer.api.config.swagger;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import com.github.xiaoymin.swaggerbootstrapui.annotations.EnableSwaggerBootstrapUI;

import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;
 
@Configuration//声明为配置文件，让spring加载
@EnableSwagger2//支持swagger2插件配置
@EnableSwaggerBootstrapUI
public class Swagger2Config {
	
	@Bean
    public Docket createRestApi() {
        return new Docket(DocumentationType.SWAGGER_2)
                .apiInfo(apiInfo())
                .select()
                //.apis(RequestHandlerSelectors.withClassAnnotation(Api.class))
                .apis(RequestHandlerSelectors.basePackage("cn.timer.api"))
                .paths(PathSelectors.any())
                .build();
    }
    //apiInfo对象主要是设置我们api文档的标题，描述，访问的地址，创建者等信息
    @Bean
    public ApiInfo apiInfo(){
        return new ApiInfoBuilder()
        		.title("8小时-Api接口文档")
        		.description("快速进行Api接口调试")
        		.termsOfServiceUrl("127.0.0.1:8080")
        		.contact("TangZhaoQian")
        		.version("1.0")
        		.build();
    }
    //docket容器设置我们的文档基础信息，api包的位置，以及路劲的匹配规则（包含四种：全匹配，不匹配，正则匹配和ant匹配）
//    @Bean
//    public Docket docket(){
//        //return new Docket(DocumentationType.SWAGGER_2).apiInfo(apiInfo()).select().apis(RequestHandlerSelectors.basePackage("cn.timer.api.controller")).paths(PathSelectors.regex("/test/.*")).build();
//        return new Docket(DocumentationType.SWAGGER_2).apiInfo(apiInfo()).select().apis(RequestHandlerSelectors.basePackage("cn.timer.api.controller")).paths(PathSelectors.regex("/*/.*")).build();
//    }
}