package cn.timer.api.dao.yggl;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import cn.timer.api.bean.yggl.YgglMainLzb;
import cn.timer.api.config.annotation.UserBean;
import cn.timer.api.dto.yggl.LzbQueryDto;
import cn.timer.api.dto.yggl.YgglCartogramDto;

/**
*  员工离职表
* @author Tang 2019-11-15
*/
@Repository
public interface YgglMainLzbMapper extends BaseMapper<YgglMainLzb> {

	/**
	 * 查询本月离职人数
	 * @param userBean 
	 * @return
	 */
	YgglCartogramDto queryDeparture(UserBean userBean);
	
	/**
	 * 查询离职列表
	 * @param page 
	 */
	List<YgglMainLzb> queryLzb(IPage<YgglMainLzb> page,@Param(value = "q") LzbQueryDto lzygQueryDto);
}
