package cn.timer.api.dto.yggl;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @date 2019年11月23日  
 * @author dsc
 * @方法中文名称:统计图查询
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class YgglCartogramDto implements Serializable{
	
	private static final long serialVersionUID = 7888324802858289267L;

	@ApiModelProperty(value="组织机构id",example="111")
	private Integer orgCode;
	
	@ApiModelProperty(value="试用员工人数",example="1")
	private Integer probation;
	
	@ApiModelProperty(value="正式员工人数",example="2")
	private Integer regular;
	
	@ApiModelProperty(value="当前月份",example="11")
	private Integer month;
	
	@ApiModelProperty(value="当月入职人数",example="8")
	private Integer induction;
	
	@ApiModelProperty(value="当月离职人数",example="8")
	private Integer departureNum;
	
	@ApiModelProperty(value="当月转正人数",example="8")
	private Integer positive;
	
	@ApiModelProperty(value="平均年龄",example="24")
	private Integer avgAge;
	
	@ApiModelProperty(value="岗位的上级部门id",example="IT部")
	private String updeptid;
	
	@ApiModelProperty(value="岗位的上级部门名",example="IT部")
	private String updeptname;
	
	@ApiModelProperty(value="岗位上级的部门人数",example="10")
	private Integer updeptnum;

	@ApiModelProperty(value="岗位名",example="开发")
	private String jobName;
	
	@ApiModelProperty(value="岗位id",example="10")
	private Integer jobId;
	
	@ApiModelProperty(value="岗位人数",example="10")
	private Integer jobNum;
	
	@ApiModelProperty(value="学历",example="本科 ")
	private String education;
	
	@ApiModelProperty(value="该学历的人数",example="6")
	private Integer educationNum;
	
	@ApiModelProperty(value="<18的人数",example="6")
	private Integer lowerEighteen;
	
	@ApiModelProperty(value="18-25的人数",example="6")
	private Integer eighteenToTwentyfive;
	
	@ApiModelProperty(value="25-32的人数",example="6")
	private Integer twentyfiveToThirtytwo;
	
	@ApiModelProperty(value="32-38的人数",example="6")
	private Integer thirtytwoToThirtyeight;
	
	@ApiModelProperty(value="38-45的人数",example="6")
	private Integer thirtyeightToFortyfive;
	
	@ApiModelProperty(value=">45的人数",example="6")
	private Integer higherFortyfive;
	
	@ApiModelProperty(value="籍贯省份",example="广东")
	private String province;
	
	@ApiModelProperty(value="籍贯省份的人数",example="6")
	private Integer provinceNum;
	
	@ApiModelProperty(value="工龄少于0.5年的人数",example="6")
	private Integer lowerHalfyear;
	
	@ApiModelProperty(value="0.5-1年",example="6")
	private Integer halfYear;
	
	@ApiModelProperty(value="1-1.5年",example="6")
	private Integer oneYear;
	
	@ApiModelProperty(value="1.5-2年",example="6")
	private Integer onehalfYear;
	
	@ApiModelProperty(value="2-2.5年",example="6")
	private Integer twoYear;
	
	@ApiModelProperty(value="大于2.5年",example="6")
	private Integer higherTwohalfYear;
}
